## openstack-resource-agents 2012.2~f3

=== Makefile ===
#!/usr/bin/make -f
#
# Makefile for the OpenStack resource agents toolsuite
#
# Copyright (C) 2012 hastexo Professional Services GmbH
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, 
# software distributed under the License is distributed on an "AS 
# IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either 
# express or implied. See the License for the specific language 
# governing permissions and limitations under the License.

# define some common variables
INSTALL = /usr/bin/install

default:
	
install: 
	mkdir -p $(DESTDIR)/usr/lib/ocf/resource.d/openstack
	for file in ocf/*; do \
		$(INSTALL) -t $(DESTDIR)/usr/lib/ocf/resource.d/openstack -m 0755 $${file} ; \
	done

=== debian/changelog ===
openstack-resource-agents (2012.2~f3-1ubuntu3) raring; urgency=low

  * debian/patches/l3-agent.patch: Don't terminate dnsmasq instances
    when shutting down the Quantum L3 Agent (LP: #1090461). 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Feb 2013 21:17:52 +0000

openstack-resource-agents (2012.2~f3-1ubuntu2) raring; urgency=low

  * debian/control: Depends on net-tools instead of netstat. (LP: #1078828)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 14 Nov 2012 13:14:14 -0500

openstack-resource-agents (2012.2~f3-1ubuntu1) quantal; urgency=low

  * Update maintainer according to spec. 
  * debian/rules: Add get-orig-source target.
  * Upload for Ubuntu. (LP: #1054022)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 01 Oct 2012 10:09:54 -0500

openstack-resource-agents (2012.2~f3-1) unstable; urgency=low

  * Initial release

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 28 Aug 2012 23:08:19 +0000

=== debian/control ===
Source: openstack-resource-agents
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Loschwitz <madkiss@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.3
Homepage: http://github.com/madkiss/openstack-resource-agents
#Vcs-Git: git://github.com/madkiss/openstack-resource-agents.git 

Package: openstack-resource-agents
Architecture: all
Depends: ${misc:Depends}, net-tools, python-keystoneclient, python-glanceclient, python-novaclient, curl
Description: pacemaker resource agents for OpenStack
 This package contains resource agents to run most of the OpenStack
 components inside a pacemaker-controlled high availability cluster. 
 Agents for the following OpenStack components are included:
 .
  * glance-api
  * glance-registry
  * keystone
  * nova-api
  * nova-cert
  * nova-consoleauth
  * nova-network
  * nova-novnc
  * nova-objectstore
  * nova-scheduler
  * nova-volume
  * quantum-server
 . 
 Install this package if you want this computer to act as member
 of a pacemaker HA cluster running OpenStack components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION = $(shell  dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
PACKAGE_NAME= openstack-resource-agents
SOURCE_DIR=$(PACKAGE_NAME)-$(VERSION)
TARBALL=$(PACKAGE_NAME)_$(VERSION).orig.tar.gz

%:
	dh $@

get-orig-source:
	git clone git://github.com/madkiss/openstack-resource-agents.git \
		$(SOURCE_DIR)
	cd $(SOURCE_DIR) && rm -rf .git*
	tar czvf $(TARBALL) $(SOURCE_DIR)
